<?php
/*
Plugin Name: eTemplates
Plugin URI: http://wordpress.org/extend/plugins/etemplates
Description: Create simple, yet dynamic powerful email templates that are commonly used in application style websites.  <strong>For developers / advanced users ONLY.</strong>
Version: 0.2.1
Author: Chris Carvache
Author URI: http://chriscarvache.com
License: GPL2

Copyright 2012 Chris Carvache  (email : chriscarvache@gmail.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as 
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

global $wpdb;
define('NLWS_ET_VERSION', 021);
define('NLWS_ET_URL', rtrim(plugin_dir_url(__FILE__)));
define('NLWS_ET_DIR', rtrim(plugin_dir_path(__FILE__)));
define('NLWS_ET_TABLE', $wpdb->prefix . 'nlws_email_templates');
define('NLWS_ET_LOG', $wpdb->prefix . 'nlws_email_logs');

require_once('et-functions.php');
require_once('et-admin.php');
require_once('et-views.php');

/**
 * Only add the admin options if the user is an admin
 */
add_action( 'admin_init', 'nlws_et_admin_init', 1 );
add_action( 'admin_menu', 'nlws_et_plugin_menu', 1 );
add_action( 'plugins_loaded', 'nlws_et_activate' );
register_activation_hook( __FILE__, 'nlws_et_activate' );
?>