<?php
// See if there are any templates
global $wpdb;
$row_count = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM " . NLWS_ET_TABLE . ";"));
?>
<div id="icon-template" class="icon32"></div><h2>eTemplates - Templates <a class="button add-new-h2" href="admin.php?page=nlws-et-templates&action=add">Add New</a></h2>
<div class="tablenav top">
	<div class="alignleft actions">
		<select name="action" id="action">
			<option selected="selected" value="-1">Bulk Actions</option>
			<option value="trash">Delete</option>
		</select>
		<input type="submit" value="Apply" class="button-secondary action" id="doaction" name="doaction" />
	</div>
</div>
<table class="wp-list-table widefat fixed" cellspacing="0">
	<thead>
		<tr>
			<th id="cb" class="manage-column column-cb check-column" scope="col">
				<input type="checkbox" value="" />
			</th>
			<th class="id-column <?php nlws_et_determine_sort_class('id'); ?>">
				<a href="<?php nlws_et_determine_sort_link('id'); ?>"><span>ID</span><span class="sorting-indicator"></span></a>
			</th>
			<th id="title" class="manage-column column-title <?php nlws_et_determine_sort_class('title'); ?>" scope="col">
				<a href="<?php nlws_et_determine_sort_link('title'); ?>"><span>Template Name</span><span class="sorting-indicator"></span></a>
			</th>
		</tr>
	</thead>
	<?php if ($row_count) :
		// Determine Order
		// Get the $_GET variables and see what's up with it
		$orderby = $_GET['orderby'];
		$order = $_GET['order'];
		
		$SQL = "SELECT " .
			NLWS_ET_TABLE . ".ID, " .
			NLWS_ET_TABLE . ".name, " .
			NLWS_ET_TABLE . ".use_global_settings, " .
			NLWS_ET_TABLE . ".from_email, " .
			NLWS_ET_TABLE . ".from_name, " .
			NLWS_ET_TABLE . ".header, " .
			NLWS_ET_TABLE . ".footer, " .
			NLWS_ET_TABLE . ".subject, " .
			NLWS_ET_TABLE . ".content " .
		" FROM " .
			NLWS_ET_TABLE . " ";

		switch ( $orderby ) {
			case 'title' :
				$SQL.= "ORDER BY name";
				break;
			case 'id' : default :
				$SQL.= "ORDER BY ID";
				break;
		}
		
		if ( $order == 'asc' )
			$SQL.= ' ASC';
		else
			$SQL.= ' DESC';

		$rs = $wpdb->get_results($SQL); ?>

		<?php $i=0; foreach ($rs as $r) : $i++; ?>
			<tr id="etemplate-row-<?php echo $r->ID ?>" class="<?php nlws_et_alternate($i); ?> author-self status-publish format-default iedit">
				<th class="check-column" scope="row">
					<input type="checkbox" value="<?php echo $r->ID ?>" class="templatecheck" />
				</th>
				<td>
					<?php echo $r->ID; ?>
				</td>
				<td>
					<strong><a href="admin.php?page=nlws-et-templates&action=edit&id=<?php echo $r->ID; ?>" class="row-title"><?php echo $r->name ?></a></strong>
					<div class="row-actions"><span class="edit"><a title="Edit this template" href="admin.php?page=nlws-et-templates&action=edit&id=<?php echo $r->ID; ?>">Edit</a> | </span><span class="trash"><a href="#<?php echo $r->ID; ?>" title="Delete This Template" class="submitdelete">Delete</a></span></div>
				</td>
			</tr>
		<?php endforeach; ?>
	<?php else : ?>
		<tr>
			<td class="colspanchange" colspan="3">No templates found.</td>
		</tr>
	<?php endif; ?>
	<tfoot>
		<tr>
			<th id="cb" class="manage-column column-cb check-column" scope="col">
				<input type="checkbox" value="" />
			</th>
			<th class="id-column <?php nlws_et_determine_sort_class('id'); ?>">
				<a href="<?php nlws_et_determine_sort_link('id'); ?>"><span>ID</span><span class="sorting-indicator"></span></a>
			</th>
			<th id="title" class="manage-column column-title <?php nlws_et_determine_sort_class('title'); ?>" scope="col">
				<a href="<?php nlws_et_determine_sort_link('title'); ?>"><span>Template Name</span><span class="sorting-indicator"></span></a>
			</th>
		</tr>
	</tfoot>
</table>
<div class="tablenav bottom">
	<div class="alignleft actions">
		<select name="action2" id="action2">
			<option selected="selected" value="-1">Bulk Actions</option>
			<option value="trash">Delete</option>
		</select>
		<input type="submit" value="Apply" class="button-secondary action" id="doaction2" name="doaction2" />
	</div>
</div>
