<?php
// See if there are any logs
global $wpdb;
$row_count = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM " . NLWS_ET_LOG . ";"));
?>
<br />
<table class="wp-list-table widefat fixed" cellspacing="0">
	<thead>
		<tr>
			<th class="id-column <?php nlws_et_determine_sort_class('id'); ?>">
				<a href="<?php nlws_et_determine_sort_link('id'); ?>"><span>ID</span><span class="sorting-indicator"></span></a>
			</th>
			<th class="manage-column <?php nlws_et_determine_sort_class('date'); ?>" scope="col">
				<a href="<?php nlws_et_determine_sort_link('date'); ?>"><span>Date</span><span class="sorting-indicator"></span></a>
			</th>
			<th class="manage-column <?php nlws_et_determine_sort_class('to'); ?>" scope="col">
				<a href="<?php nlws_et_determine_sort_link('to'); ?>"><span>To</span><span class="sorting-indicator"></span></a>
			</th>
			<th class="manage-column <?php nlws_et_determine_sort_class('subject'); ?>" scope="col">
				<a href="<?php nlws_et_determine_sort_link('subject'); ?>"><span>Subject</span><span class="sorting-indicator"></span></a>
			</th>
		</tr>
	</thead>
	<?php if ($row_count) :
		// Determine Order
		// Get the $_GET variables and see what's up with it
		$orderby = $_GET['orderby'];
		$order = $_GET['order'];
		
		$SQL = "SELECT " .
			NLWS_ET_LOG . ".ID, " .
			NLWS_ET_LOG . ".date, " .
			NLWS_ET_LOG . ".to, " .
			NLWS_ET_LOG . ".subject " .
		" FROM " .
			NLWS_ET_LOG . " ";

		switch ( $orderby ) {
			case 'date' :
				$SQL.= "ORDER BY `date`";
				break;
			case 'to' :
				$SQL.= "ORDER BY `to`";
				break;
			case 'subject' :
				$SQL.= "ORDER BY `subject`";
				break;
			case 'id' : default :
				$SQL.= "ORDER BY `ID`";
				break;
		}
		
		if ( $order == 'asc' )
			$SQL.= ' ASC';
		else
			$SQL.= ' DESC';

		$rs = $wpdb->get_results($SQL); ?>

		<?php $i=0; foreach ($rs as $r) : $i++; ?>
			<tr id="elog-row-<?php echo $r->ID ?>" class="<?php nlws_et_alternate($i); ?> author-self status-publish format-default iedit">
				<td>
					<?php echo $r->ID; ?>
				</td>
				<td>
					<?php echo $r->date; ?>
					<div class="row-actions"><span class="edit"><a title="View Email" class="thickbox" href="<?php echo NLWS_ET_URL ?>et-popup.php?id=<?php echo $r->ID ?>&TB_iframe=true&width=800&height=540">View Email</a></span></div>
				</td>
				<td>
					<?php echo $r->to; ?>
				</td>
				<td>
					<?php echo $r->subject; ?>
				</td>
			</tr>
		<?php endforeach; ?>
	<?php else : ?>
		<tr>
			<td class="colspanchange" colspan="4">No logs found.</td>
		</tr>
	<?php endif; ?>
	<tfoot>
		<tr>
			<th class="id-column <?php nlws_et_determine_sort_class('id'); ?>">
				<a href="<?php nlws_et_determine_sort_link('id'); ?>"><span>ID</span><span class="sorting-indicator"></span></a>
			</th>
			<th class="manage-column <?php nlws_et_determine_sort_class('date'); ?>" scope="col">
				<a href="<?php nlws_et_determine_sort_link('date'); ?>"><span>Date</span><span class="sorting-indicator"></span></a>
			</th>
			<th class="manage-column <?php nlws_et_determine_sort_class('to'); ?>" scope="col">
				<a href="<?php nlws_et_determine_sort_link('to'); ?>"><span>To</span><span class="sorting-indicator"></span></a>
			</th>
			<th class="manage-column <?php nlws_et_determine_sort_class('subject'); ?>" scope="col">
				<a href="<?php nlws_et_determine_sort_link('subject'); ?>"><span>Subject</span><span class="sorting-indicator"></span></a>
			</th>
		</tr>
	</tfoot>
</table>
<div class="tablenav bottom">
	<div class="alignleft actions">
		<select name="action2" id="action2">
			<option selected="selected" value="-1">Bulk Actions</option>
			<option value="trash">Delete</option>
		</select>
		<input type="submit" value="Apply" class="button-secondary action" id="doaction2" name="doaction2" />
	</div>
</div>